# Global

##

### Type Definitions

#### AuthOptions

Source:
  - index.js, line 43

##### Properties:

Name | Type | Attributes | Description
--- | --- | --- | ---
`sessionToken` | String | <optional> | Specify a user to excute the operation as.
`user` | AV.User | <optional> | Specify a user to excute the operation as. The user must have _sessionToken. This option will be ignored if sessionToken option provided.
`useMasterKey` | Boolean | <optional> | Indicates whether masterKey is used for this operation. Only valid when masterKey is set.

Options to controll the authentication for an operation

##### Type:

- Object

#### LeaderboardArchive

Source:
  - leaderboard.js, line 48

##### Properties:

Name | Type | Description
--- | --- | ---
`statisticName` | string |
`version` | number | version of the leaderboard
`status` | string |
`url` | string | URL for the downloadable archive
`activatedAt` | Date | time when this version became active
`deactivatedAt` | Date | time when this version was deactivated by a version incrementing

##### Type:

- Object

#### Ranking

Source:
  - leaderboard.js, line 40

##### Properties:

Name | Type | Attributes | Description
--- | --- | --- | ---
`rank` | number |  | Starts at 0
`value` | number |  | the statistic value of this ranking
`user` | AV.User |  | The user of this ranking
`includedStatistics` | Array.<Statistic> | <optional> | Other statistics of the user, specified by the `includeStatistic` option of `AV.Leaderboard.getResults()`

##### Type:

- Object

#### ServerURLs

Source:
  - init.js, line 38

##### Properties:

Name | Type | Attributes | Description
--- | --- | --- | ---
`api` | String | <optional> | serverURL for api service
`engine` | String | <optional> | serverURL for engine service
`stats` | String | <optional> | serverURL for stats service
`push` | String | <optional> | serverURL for push service

URLs for services

##### Type:

- Object

#### UploadProgressCallback(event)

Source:
  - file.js, line 510

##### Parameters:

Name | Type | Description
--- | --- | ---
`event` | XMLHttpRequestProgressEvent | The progress event with 'loaded' and 'total' attributes